> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a company member

> Link a contact to this company. `migrateTickets` opts into re-stamping the
contact's existing conversations onto this company — off by default, since
the stamp records which company a past conversation was had with.



## OpenAPI

````yaml https://api.gleap.io/api-docs.json post /companies/{companyId}/members
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /companies/{companyId}/members:
    post:
      tags:
        - Company
      summary: Add a company member
      description: >-
        Link a contact to this company. `migrateTickets` opts into re-stamping
        the

        contact's existing conversations onto this company — off by default,
        since

        the stamp records which company a past conversation was had with.
      operationId: AddMember
      parameters:
        - in: path
          name: companyId
          required: true
          schema:
            type: string
        - in: header
          name: project
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                migrateTickets:
                  type: boolean
                sessionId:
                  type: string
              required:
                - sessionId
              type: object
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                properties:
                  migrationTruncated:
                    type: boolean
                  migratedConversations:
                    type: number
                    format: double
                required:
                  - migrationTruncated
                  - migratedConversations
                type: object
      security:
        - jwt: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````